---
title: llarp::win32::wintun

---

# llarp::win32::wintun



## Functions

|                | Name           |
| -------------- | -------------- |
| std::shared_ptr< [vpn::NetworkInterface](Classes/classllarp_1_1vpn_1_1NetworkInterface.md) > | **[make_interface](Namespaces/namespacellarp_1_1win32_1_1wintun.md#function-make-interface)**(const [vpn::InterfaceInfo](Classes/structllarp_1_1vpn_1_1InterfaceInfo.md) & info, [AbstractRouter](Classes/structllarp_1_1AbstractRouter.md) * router)<br>makes a new vpn interface with a wintun context given info and a router pointer  |


## Functions Documentation

### function make_interface

```cpp
std::shared_ptr< vpn::NetworkInterface > make_interface(
    const vpn::InterfaceInfo & info,
    AbstractRouter * router
)
```

makes a new vpn interface with a wintun context given info and a router pointer 





-------------------------------

Updated on 2024-11-10 at 05:10:02 +0000